#
# spec file for package mpfr (Version 2.2.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gmp gmp-devel gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           mpfr
BuildRequires:  gmp-devel
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group:          Development/Libraries/C and C++
Autoreqprov:    on
Requires:       gmp
Version:        2.2.1
Release:        6.6
Summary:        The MPFR library for multiple-precision floating-point computations with exact rounding
URL:            http://www.mpfr.org/
Source:         mpfr-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The MPFR library is a C library for multiple-precision floating-point
computations with exact rounding (also called correct rounding). It is
based on the GMP multiple-precision library.

The main goal of MPFR is to provide a library for multiple-precision
floating-point computation which is both efficient and has a
well-defined semantics. It copies the good ideas from the ANSI/IEEE-754
standard for double-precision floating-point arithmetic (53-bit
mantissa).



Authors:
--------
    Guillaume Hanrot
    Paul Zimmermann
    Vincent Lefvre
    Patrick Plissier

%debug_package
%package devel
Summary:        Development package for the MPFR multiple-precision floating-point computation library
Group:          Development/Libraries/C and C++
Requires:       mpfr = %{version} gmp-devel
Provides:       gmp-devel:/usr/lib/libmpfr.a
Autoreqprov:    on
PreReq:         %install_info_prereq

%description devel
Development package for the MPFR multiple-precision floating-point computation library

Authors:
--------
    Guillaume Hanrot
    Paul Zimmermann
    Vincent Lefvre
    Patrick Plissier

%prep
%setup -q

%build
%configure --enable-shared --enable-thread-safe
make %{?jobs:-j%jobs}
make check %{?jobs:-j%jobs}

%install
%makeinstall
rm ${RPM_BUILD_ROOT}/%{_libdir}/lib*.la

%post
%run_ldconfig

%post devel
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%run_ldconfig

%postun devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README NEWS ChangeLog
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc %{_infodir}/mpfr.info*.gz
%{_libdir}/lib*.a
%{_libdir}/lib*.so
/usr/include/*

%changelog
* Wed Nov 29 2006 - rguenther@suse.de
- New upstream version 2.2.1.
  New package for SLE10 needed for new gcc (fate #301523 and #301524).
* Mon Oct 09 2006 - rguenther@suse.de
- Apply bugfixes from upstream, up to patch 16.
* Wed Jun 07 2006 - rguenther@suse.de
- Apply bugfixes from upstream, up to patch 12.
* Fri May 26 2006 - rguenther@suse.de
- Fix the real bug, re-enable testsuite on s390.
* Fri May 26 2006 - rguenther@suse.de
- Skip testsuite for s390.
* Mon May 15 2006 - rguenther@suse.de
- Add provides to mpfr-devel to fix updating from gmp-devel.
* Sat May 13 2006 - rguenther@suse.de
- New packages mpfr and mpfr-devel split from the gmp package as
  gmp no longer comes with the mpfr library included.  Version 2.2.0.
